Page MenuHomePhabricator

Migrate MobileWikiAppiOSEditHistoryCompare schema to MEP
Closed, ResolvedPublic

Description

Unlike the work that was done to migrate SearchSatisfaction schema from legacy to modern, migrating MobileWikiAppiOSEditHistoryCompare will require creating a new schema (and then stream) in schemas/event/secondary.

It should reference the core identifiers fragment and list device_id and session_id in required, which are filled-in by EPC library. It will have an action enum, a primary_language string, and an is_anon boolean which are filled-in by instrumentation.

Proposed schema name: /analytics/mobile_app/ios/edit_history_compare
Proposed stream name: ios.edit_history_compare

Event Timeline

mpopov created this task.Aug 13 2020, 6:27 PM
mpopov moved this task from Next 2 weeks to Doing on the Product-Analytics (Kanban) board.
mpopov updated the task description. (Show Details)Aug 13 2020, 6:30 PM
LGoto triaged this task as Medium priority.Aug 13 2020, 7:13 PM

@SNowick_WMF: what do you think about this schema being in an /analytics/mobile_app/ios/ directory (e.g. /analytics/mobile_app/ios/edit_history_compare)? (to not bloat the /analytics/mobile_app directory) We can even go one level deeper and have it be /analytics/mobile_app/ios/edit/history_compare, with the intention of putting other editing-related schemas under /analytics/mobile_app/ios/edit/

mpopov updated the task description. (Show Details)Aug 21 2020, 6:14 PM

Change 622137 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[schemas/event/secondary@master] Create iOS Edit History Compare schema

https://gerrit.wikimedia.org/r/622137

Change 622137 merged by Bearloga:
[schemas/event/secondary@master] Create iOS Edit History Compare schema

https://gerrit.wikimedia.org/r/622137

Change 623048 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[operations/mediawiki-config@master] wgEventStreams: Stream for MEP-iOS pilot

https://gerrit.wikimedia.org/r/623048

Change 623048 merged by jenkins-bot:
[operations/mediawiki-config@master] wgEventStreams: Stream for MEP-iOS pilot

https://gerrit.wikimedia.org/r/623048

Mentioned in SAL (#wikimedia-operations) [2020-08-31T18:11:00Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 846c5448f950b4d0d7eedce570e46d74ca62ca38: wgEventStreams: Stream for MEP-iOS pilot (T260382) (duration: 00m 55s)

mpopov closed this task as Resolved.Mon, Aug 31, 9:52 PM
$ curl -s 'https://meta.wikimedia.org/w/api.php?action=streamconfigs&format=json&constraints=destination_event_service=eventgate-analytics-external' | jq .
{
  "streams": {
    "eventlogging_SearchSatisfaction": [],
    "eventlogging_TemplateWizard": [],
    "eventlogging_Test": [],
    "test.instrumentation": [],
    "test.instrumentation.sampled": {
      "sampling": {
        "rate": 0.5
      }
    },
    "ios.edit_history_compare": [],
    "eventgate-analytics-external.test.event": [],
    "eventgate-analytics-external.error.validation": []
  }
}

Verified that events produced to ios.edit_history_compare stream ended up in ios_edit_history_compare table.